
function E0090()
    InitMap()
    MNA()CMU("CS_Jenka")FAI(0)
end
function E0091()
    InitMap()
    MNA()CMU("CS_Jenka")FAI(1)
end
function E0092()
    InitMap()
    MNA()CMU("CS_Jenka")FAI(2)
end
function E0093()
    InitMap()
    MNA()CMU("CS_Jenka")FAI(3)
end
function E0094()
    InitMap()
    MNA()CMU("CS_Jenka")FAI(4)
end

function InitMap()
    if(FLJ("JackSantaGo")) then
        --改变地形
        CMP("cmpLayer_1","mainLayer")
    end
end

function GoVillageAround()
    if(ITJ("Arowana")) then
        KEY()
        MYB(0,PLY())WAS()
        MS4("\n先把大鱼交给猫先生吧。")NOD()
    else
        PRI()FAO(3)TRA("CS_village_around","E0091",68,9,1,14)
    end
end

function GoPath()
    if(FLJ("JackSantaGo")) then
        KEY()
        MYB(1,PLY())WAS()
        FAC("jack_normal")MS4("\n那边不需要去...")NOD()
    else
        PRI()FAO(1)TRA("CS_path","E0093",1,13,1,16)
    end
end

function GoMonsterX()
    PRI()FAO(1)TRA("CS_monsterX","E0093",16,15,1,4)
end

function GoCave()
    PRI()FAO(0)TRA("CS_cave","E0090",19,12)
end

function GoUnderPath()
    if(ITJ("TorokoNecklace")) then
        if(ITJ("MapSystem")) then
            PRI()FAO(2)TRA("CS_underpath","E0093",5,6)
        else
            if(FLJ("FindMapSystem")) then
                KEY()
                FAC("jack_normal")MS4("我们必须找到- 地图系统 -")
                CAT("\n再出发。")NOD()
            else
                KEY()
                FAC("jack_normal")MS4("我记得金曾经说过")
                CAT("\n在村里留下了- 地图系统 -")NOD()CLR()
                CAT("\n把它找到带上再出发吧...")NOD()
            end
        end
    else
        PRI()
        FAC("jack_normal")MS4("\n还是先找到一些线索再出发吧...")NOD()
    end
end

function MeetMonsterX()
    KEY()WAS()
    CNP("MonsterX1","CS_monsterx_animate",0,0)
    ANP("MonsterX1",1060,0)
    WAI(150)
    MS4("嘿！")NOD()
    CAT("\n你终于从村子里出来了喵~")NOD()
    CAT("\n其实我天天在池塘边盯你很久了...")NOD()CLR()
    CAT("什么？")NOD()
    CAT("\n想要我帮你找一只胖乎乎的咪咪卡？")NOD()
    CAT("\n那先把我喂饱吧，")NOD()
    CAT("\n只要一条大鱼就好！")NOD()CLR()
    CAT("我就住在上边，")NOD()
    CAT("\n等你抓到它就来找我吧。")NOD()CLO()
    ANP("MonsterX1",3,0)
    WAI(120)
    DNP("MeetMonsterX")
    DNP("MonsterX1")
    FLP("MeetMonsterX")
    MSA("Fishing")
end

function KanpaMapSystemDrop()
    PRI()
    MS4("\n这是地图系统...")NOD()CLR()
    ITP("MapSystem")
    GIT("MapSystem")
    SOU("CS_038_get_item")
    DNP("KanpaMapSystemDrop")
    FLS("KanpaMapSystemDrop")
    CMU("CS_Fanfale1")
    CAT("\n获得了 =地图系统= 。")WAI(160)NOD()CLR()
    RMU()
end